Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.util
Class PropertyMapBuilder

    java.lang.Object
      com.thaiopensource.util.PropertyMapBuilder

    public class PropertyMapBuilder

extends Object

Constructor Summary
`PropertyMapBuilder()`
`PropertyMapBuilder(PropertyMap pm)`

Method Summary
`void` | `add(PropertyMap pm)`
`boolean` | `contains(PropertyId<?> pid)`
`
`<T> T`
` | `get(PropertyId<T> pid)`
`
`<T> T`
` | `put(PropertyId<T> id, T value)`
`PropertyMap` | `toPropertyMap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyMapBuilder

    public PropertyMapBuilder()

### PropertyMapBuilder

    public PropertyMapBuilder(PropertyMap pm)

Method Detail

### add

    public void add(PropertyMap pm)

### toPropertyMap

    public PropertyMap toPropertyMap()

### put

    public <T> T put(PropertyId<T> id,
                     T value)

### get

    public <T> T get(PropertyId<T> pid)

### contains

    public boolean contains(PropertyId<?> pid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD